<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Asset</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Aset</h1>
            <div class="section-header-breadcrumb">
                <div class="breadcrumb-item active"><a href="#">Asset</a></div>
                <div class="breadcrumb-item">Edit</div>
            </div>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-header">
                            <h4>Asset</h4>
                            <div class="card-header-action">
                                <a th:href="@{/masters/asset}" class="btn btn-info"><i class="fa fa-arrow-circle-left"></i> Back</a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <form th:action="@{/asset/barcode}" th:object="${asset}"  method="post" enctype="multipart/form-data">
                                        <div class="form-group">
                                            <label>Nama Aset</label>
                                            <input type="text" class="form-control" name="namaAset" th:field="*{namaAset}">
                                        </div>
                                        <div class="form-group">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <label>Kategori Aset</label>
                                                    <select class="form-control" th:field="*{asetJenis}" required name="asetJenis">
                                                        <option value="" selected disabled>-- Select One --</option>
                                                        <option th:each="data, row:${asetCategory}"
                                                                th:text="${data.jenisAset}"
                                                                th:value="${data.id}"></option>
                                                    </select>
                                                </div>
                                                <div class="col-md-6">
                                                    <label>Ruangan</label>
                                                    <select class="form-control" th:field="*{ruangan}" name="ruangan" id="ruangan">
                                                        <option value="" selected disabled>-- Select One --</option>
                                                        <option th:each="data, row:${roomList}"
                                                                th:text="${data.namaRuangan}"
                                                                th:value="${data.id}"></option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label>Merek Aset</label>
                                            <input type="text" class="form-control" name="merek" th:field="*{merek}">
                                        </div>
                                        <div class="form-group">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <label>Total Asset</label>
                                                    <input type="number" required class="form-control" name="jumlah" th:field="*{jumlah}">
                                                </div>
                                                <div class="col-md-6">
                                                    <label>Harga Aset</label>
                                                    <input type="text" class="form-control" name="hargaPokok" th:field="*{hargaPokok}" >
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label>Tahun Beli</label>
                                            <input type="text" class="form-control" name="tahunBeli" th:field="*{tahunBeli}">
                                        </div>
                                        <div class="form-group">
                                            <label>Kondisi Aset Secara Keseluruhan</label>
                                            <select class="form-control" required name="kondisiAset" th:field="*{kondisiAset}">
                                                <option value="" selected disabled>-- Select One --</option>
                                                <option value="BAGUS">BAGUS</option>
                                                <option value="LAYAK">LAYAK</option>
                                                <option value="RUSAK_BISA_DIPERBAIKI">RUSAK BISA DIPERBAIKI</option>
                                                <option value="RUSAK_TIDAK_BISA_DIPERBAIKI">RUSAK TIDAK BISA DIPERBAIKI</option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label>Keterangan</label>
                                            <input type="text" class="form-control" name="keterangan" th:field="*{keterangan}">
                                        </div>
                                        <div class="form-group">
                                            <label>Foto Aset</label>
                                            <input type="file" name="image" class="form-control">
                                        </div>
<!--                                        <div class="form-group">-->
<!--                                                <div class="card shadow">-->
<!--                                                <div class="card-header">-->
<!--                                                    <h4>Foto Kondisi Aset</h4>-->
<!--                                                    <div class="card-header-action">-->
<!--                                                        <button type="button" class="btn btn-warning btn-sm text-white" onclick="addRow()"><i class="fa fa-plus-circle"></i>&nbsp; Tambah Foto</button>-->
<!--                                                    </div>-->
<!--                                                </div>-->
<!--                                                    <table class="table table-striped table-bordered">-->
<!--                                                    <tbody id="tableBody"></tbody>-->
<!--                                                </table>-->
<!--                                            </div>-->
<!--                                        </div>-->
                                        <input type="hidden" name="id" th:field="*{id}">
                                        <div class="form-group">
                                            <button class="btn btn-primary">Save</button>
                                            <a th:href="@{/masters/asset}" class="btn btn-danger">Cancel</a>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<div layout:fragment="footer" class="script">
    <script>
        var rowIndex = 0;
        function addRow() {
            var tableBody = document.getElementById("tableBody");
            var newRow = tableBody.insertRow();

            var cellIndex = newRow.insertCell(0);
            cellIndex.width = 70;
            cellIndex.textContent = rowIndex + 1;

            var cellFoto = newRow.insertCell(1);
            var cellAction = newRow.insertCell(2);

            var foto = document.createElement("input");
            foto.type = "file";
            foto.name = "foto";
            foto.id = "foto" + rowIndex;
            foto.classList.add("form-control", "foto-input"); // Tambahkan kelas form-control
            cellFoto.appendChild(foto);

            cellAction.innerHTML = "<button type='button' class='hapusButton' style='background-color: #dc3545; color: white; border: none; border-radius: 5px; padding: 5px 10px 5px 10px;'><i class='fa fa-trash'></i></button>";

            // Tambahkan event listener ke tombol "Hapus" pada baris baru
            var hapusButton = newRow.querySelector('.hapusButton');
            hapusButton.addEventListener("click", function() {
                deleteThisRow(this);
            });

            rowIndex++;
        }

        function deleteRow() {
            var tableBody = document.getElementById("tableBody");
            var rowCount = tableBody.rows.length;
            if (rowCount > 0) {
                // Ambil baris terakhir dan hapus
                var lastRow = tableBody.rows[rowCount - 1];
                tableBody.removeChild(lastRow);
                rowIndex--;
            }
        }

        function deleteThisRow(button) {
            if (confirm("Apakah Anda yakin ingin menghapus baris ini?")) {
                var row = button.closest('tr'); // Temukan elemen <tr> terdekat (baris)

                if (row) {
                    row.parentNode.removeChild(row);
                    rowIndex--;
                } else {
                    console.error("Error: Baris tidak ditemukan");
                }
            }
        }
    </script>
</div>
</body>
</html>
